<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-vazh-title3'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
     require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['vazh_id'])) puterror2($TEXT['error-vazh5']);
  if(strlen($_POST['vazh_id'])>11) puterror2($TEXT['error-vazh4']);
  if(empty($_POST['srochnost'])) puterror2($TEXT['error-vazh1']);
  if(strlen($_POST['srochnost'])>255) puterror2($TEXT['error-vazh2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);
  if(strlen($_POST['old_photo'])>250) puterror2($TEXT['error-inst9']);

  if(isset($_POST['srochnost'])) $srochnost=trim($_POST['srochnost']);
    else $srochnost="";
     if (empty($srochnost)) puterror2($TEXT['error-vazh3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if (empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['srochnost'] = rep($_POST['srochnost']);
  $_POST['position'] = rep($_POST['position']);
  $_POST['vazh_id'] = rep($_POST['vazh_id']);
  $_POST['old_photo'] = rep($_POST['old_photo']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if (!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['srochnost'];
       $vazh = "vazh_".translate($name)."_";
       $image = "../photo/$vazh".date("YmdHis",time())."$ext";
          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
            if(is_file("../".$_POST['old_photo'])) unlink("../".$_POST['old_photo']);
     }
      else $image = $_POST['old_photo'];

  $query10 = "SELECT `srochnost` FROM `tbl_supp_srochnost` WHERE `sroch_id`='".$_POST['vazh_id']."' ";
  $result10 = mysql_query($query10);
  if (!$result10) puterror2($TEXT['error-tbl24']);
      $result_lib = mysql_fetch_array($result10);
      if($_POST['srochnost']!=$result_lib['srochnost']) {
          $query9 = "SELECT `srochnost` FROM `tbl_supp_srochnost` WHERE `srochnost`='".$_POST['srochnost']."' ";
            $result9 = mysql_query($query9);
              if (!$result9) puterror2($TEXT['error-tbl24']);
                 if (mysql_num_rows($result9)>0) puterror2($TEXT['global-est']);
                   else $name_srochnost = "`srochnost` = '".$_POST['srochnost']."', ";
        }
       else $name_srochnost = "";

  //*************************************
  $query = "SELECT * FROM `tbl_supp_srochnost` WHERE `sroch_id`='".$_POST['vazh_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl24']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp3'];
  $what = $result2['srochnost'].$TEXT['log-na'].$_POST['srochnost'].$TEXT['log-id'].$_POST['vazh_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "UPDATE `tbl_supp_srochnost` SET `pic_sr` = '$image', $name_srochnost `position` = '".$_POST['position']."' WHERE `sroch_id`='".$_POST['vazh_id']."' ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-vazh.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-vazh6']);
  require_once "../util/bottom.php";
?>
